Bug 1564699 - unexplained new dependency on brotli released to stable Fedora branches
Summary: unexplained new dependency on brotli released to stable Fedora branches
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luboš Uhliarik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 23:41 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2018-04-10 19:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 11:44:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2018-04-06 23:41:37 UTC
Description of problem:
Latest httpd update released to stable Fedora branches introduces a new dependency on brotli, which is not explained in release notes or the package changelog.

Version-Release number of selected component (if applicable):
httpd-2.4.33-2.fc27.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. install httpd-2.4.29-1.fc27.x86_64
2. update to httpd-2.4.33-2.fc27.x86_64

Actual results:
brotli is brought in as a new dependency.

Expected results:
No new dependencies.

Additional info:
This arguably violates the stable updates policy (https://fedoraproject.org/wiki/Updates_Policy#Stable_Releases):
[...] Updates should aim to fix bugs, and not introduce features, [...]

Comment 1 Joe Orton 2018-04-09 11:44:36 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #0)
> Description of problem:
> Latest httpd update released to stable Fedora branches introduces a new
> dependency on brotli, which is not explained in release notes or the package
> changelog.

It's brought in by mod_brotli.  I've fired my team of docs writers for missing this, sorry about that.

> Additional info:
> This arguably violates the stable updates policy
> (https://fedoraproject.org/wiki/Updates_Policy#Stable_Releases):
> [...] Updates should aim to fix bugs, and not introduce features, [...]

Sounds like we need to fire more docs writers if they have time to write fictional policy documents.

Comment 2 Dominik 'Rathann' Mierzejewski 2018-04-09 13:01:49 UTC
I find your response far from excellent. Do you think Fedora policies are a joke?

mod_brotli was actually added (upstream) in 2.4.26:
https://www.apache.org/dist/httpd/CHANGES_2.4
[...]
Changes with Apache 2.4.26
[...]
  *) mod_brotli: Add a new module for dynamic Brotli (RFC 7932) compression.
     [Evgeny Kotkov]
[...]

Why is it enabled by default only in .33?

Comment 3 Joe Orton 2018-04-09 13:16:49 UTC
Some Fedora policies are completely detached from what Fedora maintainers actually do, yes.  If you want to spread excellence stop filling bugzilla with stuff which is clearly not a software bug and take it to devel@ or something.

(In reply to Dominik 'Rathann' Mierzejewski from comment #2)
> Why is it enabled by default only in .33?

https://src.fedoraproject.org/rpms/httpd/c/95a0c9518b8a5659e7ba07aad0bcc338409e86cf?branch=master

Comment 4 Dominik 'Rathann' Mierzejewski 2018-04-10 19:42:38 UTC
(In reply to Joe Orton from comment #3)
> Some Fedora policies are completely detached from what Fedora maintainers
> actually do, yes.

Instead of ignoring them, you should at least try to get them changed.

> If you want to spread excellence stop filling bugzilla
> with stuff which is clearly not a software bug and take it to devel@ or
> something.

I did. It bothers me when new dependencies are added with no explanation and my installations get more and more bloated.

> (In reply to Dominik 'Rathann' Mierzejewski from comment #2)
> > Why is it enabled by default only in .33?
> 
> https://src.fedoraproject.org/rpms/httpd/c/
> 95a0c9518b8a5659e7ba07aad0bcc338409e86cf?branch=master

This explains what you did, not why. Which is what I'm asking. Why is it so difficult to answer a simple question?


Note You need to log in before you can comment on or make changes to this bug.